import { PipelineStage } from '../engine/pipeline/pipeline-engine';
import { Bindings } from '../rdf/bindings';
/**
 * Formats query solutions (bindings or booleans) from a PipelineStage in W3C SPARQL CSV format
 * @see https://www.w3.org/TR/2013/REC-sparql11-results-csv-tsv-20130321/
 * @author Thomas Minier
 * @param source - Input pipeline
 * @return A pipeline that yields results in W3C SPARQL CSV format
 */
export declare const csvFormatter: (source: PipelineStage<Bindings | boolean>) => PipelineStage<string>;
/**
 * Formats query solutions (bindings or booleans) from a PipelineStage in W3C SPARQL TSV format
 * @see https://www.w3.org/TR/2013/REC-sparql11-results-csv-tsv-20130321/
 * @author Thomas Minier
 * @param source - Input pipeline
 * @return A pipeline that yields results in W3C SPARQL TSV format
 */
export declare const tsvFormatter: (source: PipelineStage<Bindings | boolean>) => PipelineStage<string>;
