import { PipelineStage } from '../engine/pipeline/pipeline-engine';
import { Bindings } from '../rdf/bindings';
/**
 * Formats query solutions (bindings or booleans) from a PipelineStage in W3C SPARQL JSON format
 * @see https://www.w3.org/TR/2013/REC-sparql11-results-json-20130321/
 * @author Thomas Minier
 * @param source - Input pipeline
 * @return A pipeline that yields results in W3C SPARQL JSON format
 */
export default function jsonFormat(source: PipelineStage<Bindings | boolean>): PipelineStage<string>;
